commit: ecaf5311e2b81d5c41af19c86170c1ba958131f3
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 11 19:14:50 2017 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sat Mar 11 19:14:50 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecaf5311
media-libs/hamlib: Fix installation for USE=perl (bug #611550).
Thanks Toralf for reporting and Kent\n for pointing out how to fix.
Package-Manager: Portage-2.3.4, Repoman-2.3.2
media-libs/hamlib/hamlib-3.1.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/media-libs/hamlib/hamlib-3.1.ebuild
b/media-libs/hamlib/hamlib-3.1.ebuild
index 2e02c1100b4..0b62f324895 100644
--- a/media-libs/hamlib/hamlib-3.1.ebuild
+++ b/media-libs/hamlib/hamlib-3.1.ebuild
@@ -46,6 +46,12 @@ src_prepare() {
-e "s#fix}/include#fix}/include/hamlib#" \
hamlib.pc.in || die "sed failed"
+ # Correct install target to whatever INSTALLDIRS says and use vendor
+ # installdirs everywhere (bug #611550)
+ sed -i -e "s#install_site#install#" \
+ -e 's#MAKEFILE="Hamlib-pl.mk"#MAKEFILE="Hamlib-pl.mk"
INSTALLDIRS=vendor#' \
+ bindings/Makefile.am || die "sed failed patching for perl"
+
# make building of documentation compatible with autotools-utils
sed -i -e "s/doc:/html:/g" doc/Makefile.am || die "sed failed"